#!/bin/sh
#120919
#these firmware_module_* pets are intended to be used by Woof developers when building a pup.
#they would be in the pkg-list for a build, so built-in to Puppy.
#note, they may contain some (or all) content in /lib/modules/all-firmware, which has files that
#get installed at runtime only if the appropriate hardware exists and the kernel module loaded.
#
#however, have to consider case of user wanting to install pet in a running pup (in case it not builtin).
#hence the code below...

FIRMPKG="b43" #SET THIS#

if [ "`pwd`" = "/" ];then
 #running pup, not woof.
 if [ -d /lib/modules/all-firmware/$FIRMPKG ];then
  #note: see also /sbin/pup_event_backend_modprobe.
  cp -a -f --remove-destination /lib/modules/all-firmware/${FIRMPKG}/* /
  if [ -f /pinstall.${FIRMPKG}.sh ];then
   /pinstall.${FIRMPKG}.sh >/dev/null 2>&1
   rm -f /pinstall.${FIRMPKG}.sh >/dev/null 2>&1
  fi
  rm -rf /lib/modules/all-firmware/$FIRMPKG
  fmPTN="s%/lib/modules/all-firmware/${FIRMPKG}/%/%"
  sed -i -e "$fmPTN" /root/.packages/firmware_module_${FIRMPKG}.files #fixup file-list for uninstall.
 fi
 KERNVER="`uname -r`"
 echo "$FIRMPKG" >> /etc/modules/firmware.dep.inst.${KERNVER}
fi
